#
# spec file for package gtkspell (Version 2.0.11)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl aspell aspell-devel aspell-en atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libgssapi libjpeg libmudflap libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gtkspell
BuildRequires:  aspell-devel gtk2-devel libstdc++-devel update-desktop-files
%define prefix /opt/gnome
Summary:        GTK2 Spell Checker Interface Library
Version:        2.0.11
Release:        20.11
License:        GNU General Public License (GPL)
Group:          System/Libraries
Source:         gtkspell-%{version}.tar.bz2
Source1:        gtkspell-po.tar.bz2
Patch:          %{name}-gcc-err-fix.diff
Patch1:         gtkspell-linguas.patch
URL:            http://gtkspell.sf.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GtkSpell provides MSWord-style and MacOSX-style highlighting of
misspelled words in a GtkTextView widget. Right-clicking a misspelled
word opens a menu of suggested replacements.



Authors:
--------
    Evan Martin <martine@cs.washington.edu>

%debug_package
%package      devel
Summary:        Static libraries and header files from gtkspell
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}
Requires:       gtk2-devel glib2-devel pango-devel atk-devel aspell-devel

%description devel
Static libraries and header files from gtkspell.



Authors:
--------
    Evan Martin <martine@cs.washington.edu>

%prep
%setup -q %{name}-%{version} -a1
%patch
%patch1

%build
%{suse_update_config -f}
autoreconf -I /opt/gnome/share/aclocal --force --install
CFLAGS="$RPM_OPT_FLAGS" ./configure \
            --prefix=%{prefix} \
            --libdir=%{prefix}/%_lib \
            --sysconfdir=/etc/%{prefix} \
            --enable-shared \
            --enable-static \
            --enable-gtk-doc=false
make

%install
rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%post
%{run_ldconfig}

%postun
%{run_ldconfig}

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{prefix}/%_lib/*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/*.a
%{prefix}/%_lib/*.la
%{prefix}/%_lib/*.so
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/gtkspell-2.0
%{prefix}/share/locale/*/*/gtkspell.mo
%{prefix}/share/gtk-doc/html/*

%changelog
* Tue Feb 20 2007 - jhargadon@suse.de
- added a patch and a source file to add Hungarian language files.
  (#244606)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 19 2005 - pnemec@suse.cz
- fix gcc 4.1 warning
* Tue Aug 02 2005 - ro@suse.de
- use gtk2-devel-packages in nfb
* Tue May 31 2005 - ltinkl@suse.cz
- update to 2.0.11
* Tue Apr 12 2005 - ltinkl@suse.cz
- update to 2.0.10
* Wed Oct 27 2004 - ltinkl@suse.cz
- update to version 2.0.8
* Sat Apr 24 2004 - sndirsch@suse.de
- fixed neededforbuild (using x-devel-packages now)
* Wed Jan 28 2004 - ltinkl@suse.cz
- update to 2.0.5
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Dec 05 2003 - ro@suse.de
- fix typo in specfile (run_ldconfig on own line)
* Tue Jul 22 2003 - hhetter@suse.de
- really prefix to /opt/gnome
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 06 2003 - ltinkl@suse.cz
- initial version (2.0.4)
